Record pass in a course assignment
This endpoint allows recording that an employee has passed an assigned course.
POST /api/v2/businesses/{businessId}/services/{serviceId}/employees/{employeeId}/course-assignments/{courseAssignmentId}/pass
If the data included in the request is correct, the course assignment will be passed and the response will be a 204 No Content.
Considerations
When the course is passed, assessed trainings change to the PASSED status and the rest to ATTENDED.
If a validity period has been defined for the course (expiresAfter), the value of the approvedUntil field will be set based on that period, counted from the start date of the assignment (date) and not from the date of the last training. If the course has no validity period, the approval does not expire.
Error codes
In addition to the common errors, this endpoint can return the following codes:
| Code | Message | Description |
|---|---|---|
|
Course assignment not found: <courseAssignmentId> |
The given |
Course not found for assignment: <courseId> |
The course of the assignment no longer exists. |
|
|
The course assignment has not been completed yet |
The last training of the course has a future date. |
error.course_requirements_not_fulfilled |
The employee has not passed, or does not have in force, all the required courses. The message includes the names of the pending courses. |
Useful links
What is a course?
What is a course assignment?